from meresco.core import Observable
from datetime import datetime
from time import time

class AddTimestamp(Observable):
    def add(self, id, *args, **kwargs):
        self.do.deletePart(id, "timestamp" )
        unixtime = time()
        isotime = datetime.fromtimestamp(unixtime).strftime("%Y-%m-%d %H:%M:%S")
        part = """<timestamp>
  <unix>%s</unix>
  <iso>%s</iso>
</timestamp>""" %(unixtime, isotime)
        self.do.add(id, "timestamp", part)
        self.do.addField(name="timestamp.unix", value=unixtime)
        self.do.addField(name="timestamp.iso", value=isotime)
